Subject: bug#37996: closed (Re: bug#37996: guile-ssh non-deterministic test failure)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Oct 2020 02:06:02 +0000

Your bug report

#37996: guile-ssh non-deterministic test failure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37996: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37996
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37996: guile-ssh non-deterministic test failure
From: Maxim Cournoyer <[email-masked]>
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Oct 2020 22:05:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mark H Weaver <[email-masked]> writes:

> FYI, guile-ssh-0.11.3 failed one of its tests the first time I tried to
> build it today on my X200.  The second attempt succeeded.
>
>        Mark
>
> ============================================
>    Guile-SSH 0.11.3: tests/test-suite.log
> ============================================
>
> # TOTAL: 11
> # PASS:  10
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
>
> .. contents:: :depth: 2
>
> FAIL: dist
> ==========

I cannot reproduce this with the latest guile-ssh in master, and the CI
also hasn't seen a test failing for guile-ssh [0] for any architecture
in more than a year.

Closing.

Thanks,

Maxim

[0]  http://ci.guix.gnu.org/search?query=guile-ssh%20status:failed&border-low-id=53663

Subject: guile-ssh non-deterministic test failure
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Wed, 30 Oct 2019 14:13:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

FYI, guile-ssh-0.11.3 failed one of its tests the first time I tried to
build it today on my X200.  The second attempt succeeded.

       Mark

--8<---------------cut here---------------start------------->8---
============================================
   Guile-SSH 0.11.3: tests/test-suite.log
============================================

# TOTAL: 11
# PASS:  10
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: dist
==========

;;; note: source file ../modules/srfi/srfi-64.scm
;;;       newer than compiled /gnu/store/dav5zdvdsrx0vjw0f9fyhkqyknl6kd55-guile-2.2.6/lib/guile/2.2/ccache/srfi/srfi-64.go
%%%% Starting test dist  (Writing full log to "dist.log")
FAIL with-ssh
# of expected passes      18
# of unexpected failures  1

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
job-node"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "hand-out-job, invalid type"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "assign-eval"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, unspecified"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, error"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, compilation error"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, unbound variable error"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, unknown # object error"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, elisp"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-get-result, multiple values"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-skip-to-prompt, valid input"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "rrepl-skip-to-prompt, invalid input"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "node-guile-version, valid response"
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "with-ssh"
Test end:
  result-kind: fail
  actual-value: #f
Group end: dist
# of expected passes      18
# of unexpected failures  1
FAIL dist.scm (exit status: 1)

command "make" "check" failed with status 2
note: keeping build directory `/tmp/guix-build-guile-ssh-0.11.3.drv-0'
builder for `/gnu/store/bpnh3sfk7knh13cbmhvylzfa6l98k95z-guile-ssh-0.11.3.drv' failed with exit code 1
build of /gnu/store/bpnh3sfk7knh13cbmhvylzfa6l98k95z-guile-ssh-0.11.3.drv failed
--8<---------------cut here---------------end--------------->8---